﻿namespace SafeCampus.Application.Services.Business.DormitoryService;

public class DormitoryInfoList
{
    /// <summary>
    /// ID
    /// </summary>
    public long? Id { get; set; }
    /// <summary>
    /// 寝室名称
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 男寝还是女寝
    /// </summary>
    public bool Gender { get; set; }
    /// <summary>
    /// 所属宿舍楼id
    /// </summary>
    public long BuildId { get; set; }
    /// <summary>
    /// 人员数量
    /// </summary>
    public int PersonCount { get; set; }
    /// <summary>
    /// 创建时间
    /// </summary>
    public DateTime CreateTime { get; set; }
}
public class DormitoryInfoListMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<DormitoryInfo, DormitoryInfoList>()
            .Map(x => x.PersonCount, x => x.PersonInfos.Count);
    }
}