﻿namespace SafeCampus.Application.Services.Business.Warn.Dto;

public class WarnInfoSearch:BasePageInput
{
    /// <summary>
    /// 预警类型
    /// </summary>
    public string AlarmType { get; set; }
    /// <summary>
    /// 预警类型
    /// </summary>
    public string[] AlarmTypes { get; set; }
    /// <summary>
    /// 班级id（不是必填）
    /// </summary>
    public List<string> PersonSetIds { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 事件发生时间开始
    /// </summary>
    public DateTime? StartTick { get; set; }
    /// <summary>
    /// 事件发生时间结束
    /// </summary>
    public DateTime? EndTick { get; set; }
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 摄像头ids（不是必填）
    /// </summary>
    public List<string> CameraIds { get; set; }
    /// <summary>
    /// 预警处理状态
    /// </summary>
    public int? WarnHand { get; set; }
}