/**
 * 全局变量配置
 */
// #ifdef H5
let origin = window.location.origin
console.log(window.location.origin)
// #endif
module.exports = {
	// 应用名
	name: 'Rider',
	// 应用logo，支持本地路径和网络路径
	logo: '/static/images/icon/logo.png',
	// 版本号
	version: '2.0.0',
	version: '2.0.1',
	
	
	
	// H5接口Url
	// #ifdef H5
	devUrl: `${origin}/`,
	prodUrl: `${origin}/`,
	// #endif
	
	
	
	// 小程序接口Url
	// #ifndef H5
	// devUrl: 'http://192.168.10.46',
	devUrl: 'https://www.bjjyp.org.cn/rider',//开发环境接口Url
	prodUrl: `https://www.bjjyp.org.cn/rider`,//线上环境接口Url
	// prodUrl: 'http://192.168.100.236:1888',
	// prodUrl: 'http://114.255.136.189:1888',
	// #endif
	
	
	
	
	// 后端数据的接收方式application/json;charset=UTF-8或者application/x-www-form-urlencoded;charset=UTF-8
	contentType: 'application/json;charset=UTF-8',
	// 后端返回状态码
	codeName: 'code',
	// 操作正常code
	successCode: 200,
	// 登录失效code
	invalidCode: 401,
	// 客户端ID
	clientId: 'rider',
	// 客户端密钥
	clientSecret: 'rider_secret',
	// token过期时间
	tokenTime: 3000,
	switchMode: true, // 是否开启部门切换模式
	//本地
	previewUrl: 'http://cp.qjkjedu.com/onlinePreview',
	//金隅生产
	// previewUrl: 'https://www.bjjyp.org.cn/preview/onlinePreview',
}
